import { request } from "@/http/axios"
import { GetOrdersByOpenIdDTO, ShopGoodsResponseData, SubmitOrderRequestData, SubmitOrderResponseData } from './type'
import { GetOpenIdRequestParams } from './type'


/** 获取当前登录用户详情 */
export function getShopGoodsApi() {
  return request<ShopGoodsResponseData>({
    url: "shop/goods",
    method: "get"
  })
}

/** 提交订单接口 */
export function submitOrderApi(data: SubmitOrderRequestData) {
  return request<SubmitOrderResponseData>({
    url: "order/submit",
    method: "post",
    data
  })
}

/** 获取微信openid */
export function getOpenIdApi(params: GetOpenIdRequestParams) {
  return request<ApiResponseData<string>>({
    url: "payment/getOpenId",
    method: "get",
    params  
  })
}

/** 根据openid获取用户订单信息 */
export function getOrdersByOpenIdApi(openid: string) {
  return request<ApiResponseData<GetOrdersByOpenIdDTO>>({
    url: `order/user/${openid}`,
    method: "get"
  })
}

/** 打开储物柜接口 */
export function openCabinetApi(orderId: number, orderGoodsId: number) {
  return request<ApiResponseData<void>>({
    url: `order/openCabinet/${orderId}/${orderGoodsId}`,
    method: "post"
  })
}